Debian Bug report logs - #480899
incomplete split prevents installation of cdebconf-gtk

version graph

Package: cdebconf; Maintainer for cdebconf is Debian Install System Team <debian-boot@lists.debian.org>; Source for cdebconf is src:cdebconf.

Reported by: Neil Williams <codehelp@debian.org>

Date: Mon, 12 May 2008 16:18:01 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in versions cdebconf/0.130, cdebconf/0.143

Fixed in version cdebconf/0.144

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#480899; Package cdebconf. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdebconf: Needs a package split for gtk frontend to allow installation without X
Date: Mon, 12 May 2008 17:13:57 +0100
[Message part 1 (text/plain, inline)]
Package: cdebconf
Version: 0.130
Severity: normal

In order for cdebconf to replace debconf, cdebconf would need to be
installable in a basic Debian environment where gtk+ would be
unavailable. Installing cdebconf instead of debconf in such a situation
brings in intolerable numbers of dependencies, even if the gtk+ frontend
is not going to be used (e.g. on a buildd or chroot).

cdebconf needs a package split (or possibly more than one) so that the
gtk+ frontend is optional, along with it's dependencies.

This would produce:
Versions of packages cdebconf depends on:
ii  libc6                        2.7-11      GNU C Library: Shared libraries
ii  libdebian-installer4         0.58        Library of common debian-installer
ii  libnewt0.52                  0.52.2-11.2 Not Erik's Windowing Toolkit - tex
ii  libtextwrap1                 0.1-6       text-wrapping library with i18n -

Much better for a genuine debconf replacement.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cdebconf depends on:
ii  libatk1.0-0                  1.22.0-1    The ATK accessibility toolkit
ii  libc6                        2.7-11      GNU C Library: Shared libraries
ii  libcairo2                    1.6.4-1+b1  The Cairo 2D vector graphics libra
ii  libdebian-installer4         0.58        Library of common debian-installer
pn  libdirectfb-0.9-25           <none>      (no description available)
ii  libglib2.0-0                 2.16.3-2    The GLib library of C routines
ii  libgtk-directfb-2.0-0        2.12.9-4    The GTK+ graphical user interface 
ii  libgtk2.0-0                  2.12.9-4    The GTK+ graphical user interface 
ii  libnewt0.52                  0.52.2-11.2 Not Erik's Windowing Toolkit - tex
ii  libpango1.0-0                1.20.2-2    Layout and rendering of internatio
ii  libtextwrap1                 0.1-6       text-wrapping library with i18n - 

cdebconf recommends no packages.
[signature.asc (application/pgp-signature, inline)]

Severity set to `wishlist' from `normal' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Mon, 12 May 2008 16:30:06 GMT) Full text and rfc822 format available.

Blocking bugs of 328498 added: 480899 Request was from "Joe Smith" <unknown_kev_cat@hotmail.com> to control@bugs.debian.org. (Fri, 20 Jun 2008 18:33:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 02 Jul 2009 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 04 Jul 2009 17:00:04 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Sat, 04 Jul 2009 17:00:04 GMT) Full text and rfc822 format available.

Message #16 received at 480899-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 480899-close@bugs.debian.org
Subject: Bug#480899: fixed in cdebconf 0.143
Date: Sat, 04 Jul 2009 16:37:52 +0000
Source: cdebconf
Source-Version: 0.143

We believe that the bug you reported is fixed in the latest version of
cdebconf, which is due to be installed in the Debian FTP archive:

cdebconf-gtk-udeb_0.143_i386.udeb
  to pool/main/c/cdebconf/cdebconf-gtk-udeb_0.143_i386.udeb
cdebconf-gtk_0.143_i386.deb
  to pool/main/c/cdebconf/cdebconf-gtk_0.143_i386.deb
cdebconf-newt-udeb_0.143_i386.udeb
  to pool/main/c/cdebconf/cdebconf-newt-udeb_0.143_i386.udeb
cdebconf-priority_0.143_all.udeb
  to pool/main/c/cdebconf/cdebconf-priority_0.143_all.udeb
cdebconf-text-udeb_0.143_i386.udeb
  to pool/main/c/cdebconf/cdebconf-text-udeb_0.143_i386.udeb
cdebconf-udeb_0.143_i386.udeb
  to pool/main/c/cdebconf/cdebconf-udeb_0.143_i386.udeb
cdebconf_0.143.dsc
  to pool/main/c/cdebconf/cdebconf_0.143.dsc
cdebconf_0.143.tar.gz
  to pool/main/c/cdebconf/cdebconf_0.143.tar.gz
cdebconf_0.143_i386.deb
  to pool/main/c/cdebconf/cdebconf_0.143_i386.deb
libdebconfclient0-dev_0.143_i386.deb
  to pool/main/c/cdebconf/libdebconfclient0-dev_0.143_i386.deb
libdebconfclient0-udeb_0.143_i386.udeb
  to pool/main/c/cdebconf/libdebconfclient0-udeb_0.143_i386.udeb
libdebconfclient0_0.143_i386.deb
  to pool/main/c/cdebconf/libdebconfclient0_0.143_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480899@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated cdebconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Jul 2009 14:32:27 +0100
Source: cdebconf
Binary: cdebconf libdebconfclient0 libdebconfclient0-dev cdebconf-udeb cdebconf-priority libdebconfclient0-udeb cdebconf-slang-udeb cdebconf-newt-udeb cdebconf-text-udeb cdebconf-gtk-udeb cdebconf-gtk
Architecture: source all i386
Version: 0.143
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 cdebconf   - Debian Configuration Management System (C-implementation)
 cdebconf-gtk - Gtk+ frontend for Debian Configuration Management System
 cdebconf-gtk-udeb - Gtk+ frontend for Debian Configuration Management System (udeb)
 cdebconf-newt-udeb - Newt frontend for Debian Configuration Management System (udeb)
 cdebconf-priority - Change debconf priority (udeb)
 cdebconf-slang-udeb - S-Lang frontend for Debian Configuration Management System (udeb)
 cdebconf-text-udeb - Plain text frontend for Debian Configuration Management System (udeb)
 cdebconf-udeb - Debian Configuration Management System (C-implementation) (udeb)
 libdebconfclient0 - Debian Configuration Management System (C-implementation)
 libdebconfclient0-dev - Development files for cdebconf
 libdebconfclient0-udeb - Debian Configuration Management System (C-implementation) (udeb)
Closes: 480899
Changes: 
 cdebconf (0.143) unstable; urgency=low
 .
   [ Otavio Salvador ]
   * Move Gtk+ frontend to a separate package to allow installation without
     X . Closes: #480899
 .
   [ Colin Watson ]
   * Add online help support. The "Help" field in a template may refer to
     another template whose description contains help text; frontends may use
     this to display online help on request. Currently implemented for the
     text, newt, and gtk frontends.
Checksums-Sha1: 
 2dede5942ae59575ca14fe14e6aad27251113005 1455 cdebconf_0.143.dsc
 8f97baa21335faca2b1e77ab4b498e26ac33d3ef 317449 cdebconf_0.143.tar.gz
 89867a0ea79840cafed792595b6fd27651324bba 2840 cdebconf-priority_0.143_all.udeb
 f3cd486f514d94eabf3392c714aa6a698c44a05c 163930 cdebconf_0.143_i386.deb
 b3b0c1fd3f5ea824bc507ed43ac36f5648564900 38832 libdebconfclient0_0.143_i386.deb
 16fd440fe1aa2c31a2160cf62196efb90d8924d4 44328 libdebconfclient0-dev_0.143_i386.deb
 4a366791e94afdf85170142f595537f65bdaa466 76544 cdebconf-udeb_0.143_i386.udeb
 f7ec12cea3cf5278a286ba53937f434d9046ac39 2964 libdebconfclient0-udeb_0.143_i386.udeb
 94c89cad2b915623f53bb351cd1e5651e9d2a56e 14832 cdebconf-newt-udeb_0.143_i386.udeb
 b00ea38a5955adfb749ac119b5d90545fc9c4ee5 19884 cdebconf-text-udeb_0.143_i386.udeb
 e16fc1e22822997cc44fe7a318f1769335af24ca 29088 cdebconf-gtk-udeb_0.143_i386.udeb
 1f7c91a6cf0e2a4091b7f3ea6d6c1735792df99d 63914 cdebconf-gtk_0.143_i386.deb
Checksums-Sha256: 
 3af73cb35d670cec6f36b9c08f166021c2bb59ca09c1954dfa8c09e7a293c757 1455 cdebconf_0.143.dsc
 291edfc13a36a49ff73828428a97002c1e5848e8dbcb99e6c803c30975a9aef2 317449 cdebconf_0.143.tar.gz
 546452df00cb81af520a40bba0ef4989091a13cb284683baaea437ee32a3ff5e 2840 cdebconf-priority_0.143_all.udeb
 5fb706c7c13bcf9b89dcf9523d46157c93d7cb25ffb3aa5ff3a9a8ac401efc90 163930 cdebconf_0.143_i386.deb
 552abcaff6885fa793244885bb5f1f92231459b36a04c54b5e3f4ce169cf7fea 38832 libdebconfclient0_0.143_i386.deb
 c40287587328f95858b9a3b49b993d33e6c49fd05840510eaf756cce11c92a10 44328 libdebconfclient0-dev_0.143_i386.deb
 54ad8542f6d76e9790ff3b8ba5c413761a84359b0577370697de2e8fec0c2257 76544 cdebconf-udeb_0.143_i386.udeb
 b3732eb3d14e56404edb63c7ca716cd290f62b3f947dd214221a3b5445bf7379 2964 libdebconfclient0-udeb_0.143_i386.udeb
 57ddca7dfc4854b083730a54daa438a4ba8764cc7a479ab094984294e181c31c 14832 cdebconf-newt-udeb_0.143_i386.udeb
 dd321814082f1a9725c736f2ace973bcbff8fb2d07f2d5f3fd562cbdf15ce463 19884 cdebconf-text-udeb_0.143_i386.udeb
 1a094e949bac8bd47eacc03663de4d9311dcfe2ffe54ca9328a98bfb3031e507 29088 cdebconf-gtk-udeb_0.143_i386.udeb
 c29512a802d89cbe6fc638da1422e4070765a74e6f8231f627be524699bdfb88 63914 cdebconf-gtk_0.143_i386.deb
Files: 
 37325e0ff2fb554c5a379eb86fd955ac 1455 utils optional cdebconf_0.143.dsc
 f761c4afec88718ad9c2613a6572c011 317449 utils optional cdebconf_0.143.tar.gz
 f9ca5c19cfaa6686cec194105b02d301 2840 debian-installer standard cdebconf-priority_0.143_all.udeb
 10aeb0d073de7f3c5b00383a01cd3d96 163930 utils extra cdebconf_0.143_i386.deb
 9668337ab17d98d36320ff7ddf8c661d 38832 libs optional libdebconfclient0_0.143_i386.deb
 9a2c333edf6a6757078f2a0ff2db8ed1 44328 libdevel optional libdebconfclient0-dev_0.143_i386.deb
 c378fd32eed11429b4aedc00ed78fda7 76544 debian-installer standard cdebconf-udeb_0.143_i386.udeb
 8e71ab4c6cf1999f8454447bd590309f 2964 debian-installer optional libdebconfclient0-udeb_0.143_i386.udeb
 ef0e82c20f2c40e5c6b7b087b57b3502 14832 debian-installer optional cdebconf-newt-udeb_0.143_i386.udeb
 d793eef540a48f942f31c89f0c117480 19884 debian-installer optional cdebconf-text-udeb_0.143_i386.udeb
 fc7a507cf6eca58aa7230dd41999e3d4 29088 debian-installer optional cdebconf-gtk-udeb_0.143_i386.udeb
 a12fee8880ac566c672a05acceffa84d 63914 admin optional cdebconf-gtk_0.143_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFKTME+9t0zAhD6TNERApcyAJ9RXkLU8EN/aN5of20ka01rST0vjACfTlQ9
hFGpjkjFffN62ULGwbYxuvU=
=0uN/
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#480899; Package cdebconf. (Mon, 06 Jul 2009 12:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 06 Jul 2009 12:54:03 GMT) Full text and rfc822 format available.

Message #21 received at 480899@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 480899@bugs.debian.org
Cc: control@bugs.debian.org
Subject: reopen
Date: Mon, 6 Jul 2009 13:49:37 +0100
[Message part 1 (text/plain, inline)]
reopen 480899
retitle 480899 incomplete split prevents installation of cdebconf-gtk
severity serious
thanks

> cdebconf needs a package split (or possibly more than one) so that the
> gtk+ frontend is optional, along with it's dependencies.

The package split has happened but the default package still depends on
GTK+ as it still contains the gtk frontend which needs to be optional
to allow use of cdebconf within a buildd chroot.

cdebconf_0.143_amd64.deb
------------------------
 new debian package, version 2.0.
 size 173292 bytes: control archive= 1477 bytes.
      19 bytes,     1 lines      conffiles            
     797 bytes,    15 lines      control              
    1935 bytes,    28 lines      md5sums              
 Package: cdebconf
 Version: 0.143
 Architecture: amd64
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Installed-Size: 512
 Depends: libatk1.0-0 (>= 1.20.0), libc6, libcairo2 (>= 1.6.4-6.1),
libdebian-installer4 (>= 0.63), libfontconfig1 (>= 2.4.0), libfreetype6
(>= 2.2.1), libglib2.0-0 (>= 2.16.0), libgtk2.0-0 (>= 2.8.0),
libnewt0.52, libpango1.0-0 (>= 1.14.0), libslang2 (>= 2.0.7-1),
libtextwrap1, debconf

66992 2009-07-06 13:19 ./usr/lib/cdebconf/frontend/gtk.so
29424 2009-07-06 13:19 ./usr/lib/cdebconf/frontend/newt.so
19424 2009-07-06 13:19 ./usr/lib/cdebconf/frontend/text.so

libglib2.0-0, libcairo2, libfontconfig1, libfreetype6, libgtk2.0-0 and
libatk1.0-0 are all unwanted for a debconf replacement. Currently,
cdebconf-gtk cannot be installed alongside cdebconf anyway
because ./usr/lib/cdebconf/frontend/gtk.so exists in both and Replaces
is not used (hence the bump in severity). (libglib2.0-0 itself isn't
that bad though, overall, as pkg-config and gettext both use it.)

 Version: 0.143+nmu1
 Architecture: amd64
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Installed-Size: 428
 Depends: libc6, libdebian-installer4 (>= 0.63), libnewt0.52, libslang2 (>= 2.0.7-1), libtextwrap1, debconf
 Recommends: cdebconf-gtk

The replacement cdebconf.install file is:

deb/etc/* etc
deb/usr/lib/cdebconf/debconf-copydb usr/lib/cdebconf
deb/usr/lib/cdebconf/debconf-loadtemplate usr/lib/cdebconf
deb/usr/lib/cdebconf/dpkg-reconfigure usr/lib/cdebconf
deb/usr/lib/cdebconf/debconf-communicate usr/lib/cdebconf
deb/usr/lib/cdebconf/db/* usr/lib/cdebconf/db
deb/usr/lib/cdebconf/debconf usr/lib/cdebconf/
deb/usr/lib/cdebconf/frontend/newt.so usr/lib/cdebconf/frontend
deb/usr/lib/cdebconf/frontend/text.so usr/lib/cdebconf/frontend
deb/usr/lib/cdebconf/libdebconf.so usr/lib/cdebconf
deb/usr/lib/cdebconf/debconf-dumpdb usr/lib/cdebconf
deb/usr/share usr

$ debdiff ../cdebconf_0.143_amd64.deb ../cdebconf_0.143+nmu1_amd64.deb 
[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in first .deb but not in second
-------------------------------------
-rw-r--r--  root/root   /usr/lib/cdebconf/frontend/gtk.so

Control files: lines which differ (wdiff format)
------------------------------------------------
Depends: [-libatk1.0-0 (>= 1.20.0),-] libc6, [-libcairo2 (>= 1.6.4-6.1),-] libdebian-installer4 (>= 0.63), [-libfontconfig1 (>= 2.4.0), libfreetype6 (>= 2.2.1), libglib2.0-0 (>= 2.16.0), libgtk2.0-0 (>= 2.8.0),-] libnewt0.52, [-libpango1.0-0 (>= 1.14.0),-] libslang2 (>= 2.0.7-1), libtextwrap1, debconf
Installed-Size: [-512-] {+440+}
Version: [-0.143-] {+0.143+nmu1+}

Patch attached.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[480899.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 06 Jul 2009 12:54:04 GMT) Full text and rfc822 format available.

Changed Bug title to `incomplete split prevents installation of cdebconf-gtk' from `cdebconf: Needs a package split for gtk frontend to allow installation without X'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 06 Jul 2009 12:54:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.143. Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Mon, 06 Jul 2009 13:00:03 GMT) Full text and rfc822 format available.

Severity set to `serious' from `wishlist' Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Mon, 06 Jul 2009 13:00:03 GMT) Full text and rfc822 format available.

Tags added: patch Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Mon, 06 Jul 2009 13:00:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Tue, 07 Jul 2009 16:42:04 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 17:27:27 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jul 2009 17:27:28 GMT) Full text and rfc822 format available.

Message #38 received at 480899-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 480899-close@bugs.debian.org
Subject: Bug#480899: fixed in cdebconf 0.144
Date: Tue, 07 Jul 2009 17:02:12 +0000
Source: cdebconf
Source-Version: 0.144

We believe that the bug you reported is fixed in the latest version of
cdebconf, which is due to be installed in the Debian FTP archive:

cdebconf-gtk-udeb_0.144_i386.udeb
  to pool/main/c/cdebconf/cdebconf-gtk-udeb_0.144_i386.udeb
cdebconf-gtk_0.144_i386.deb
  to pool/main/c/cdebconf/cdebconf-gtk_0.144_i386.deb
cdebconf-newt-udeb_0.144_i386.udeb
  to pool/main/c/cdebconf/cdebconf-newt-udeb_0.144_i386.udeb
cdebconf-priority_0.144_all.udeb
  to pool/main/c/cdebconf/cdebconf-priority_0.144_all.udeb
cdebconf-text-udeb_0.144_i386.udeb
  to pool/main/c/cdebconf/cdebconf-text-udeb_0.144_i386.udeb
cdebconf-udeb_0.144_i386.udeb
  to pool/main/c/cdebconf/cdebconf-udeb_0.144_i386.udeb
cdebconf_0.144.dsc
  to pool/main/c/cdebconf/cdebconf_0.144.dsc
cdebconf_0.144.tar.gz
  to pool/main/c/cdebconf/cdebconf_0.144.tar.gz
cdebconf_0.144_i386.deb
  to pool/main/c/cdebconf/cdebconf_0.144_i386.deb
libdebconfclient0-dev_0.144_i386.deb
  to pool/main/c/cdebconf/libdebconfclient0-dev_0.144_i386.deb
libdebconfclient0-udeb_0.144_i386.udeb
  to pool/main/c/cdebconf/libdebconfclient0-udeb_0.144_i386.udeb
libdebconfclient0_0.144_i386.deb
  to pool/main/c/cdebconf/libdebconfclient0_0.144_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480899@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated cdebconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jul 2009 17:42:50 +0100
Source: cdebconf
Binary: cdebconf libdebconfclient0 libdebconfclient0-dev cdebconf-udeb cdebconf-priority libdebconfclient0-udeb cdebconf-slang-udeb cdebconf-newt-udeb cdebconf-text-udeb cdebconf-gtk-udeb cdebconf-gtk
Architecture: source all i386
Version: 0.144
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 cdebconf   - Debian Configuration Management System (C-implementation)
 cdebconf-gtk - Gtk+ frontend for Debian Configuration Management System
 cdebconf-gtk-udeb - Gtk+ frontend for Debian Configuration Management System (udeb)
 cdebconf-newt-udeb - Newt frontend for Debian Configuration Management System (udeb)
 cdebconf-priority - Change debconf priority (udeb)
 cdebconf-slang-udeb - S-Lang frontend for Debian Configuration Management System (udeb)
 cdebconf-text-udeb - Plain text frontend for Debian Configuration Management System (udeb)
 cdebconf-udeb - Debian Configuration Management System (C-implementation) (udeb)
 libdebconfclient0 - Debian Configuration Management System (C-implementation)
 libdebconfclient0-dev - Development files for cdebconf
 libdebconfclient0-udeb - Debian Configuration Management System (C-implementation) (udeb)
Closes: 480899
Changes: 
 cdebconf (0.144) unstable; urgency=low
 .
   * Drop gtk frontend from default cdebconf package (thanks, Neil Williams;
     closes: #480899).
   * cdebconf-gtk should replace cdebconf (<< 0.144) - forgotten in previous
     upload.
Checksums-Sha1: 
 2e281315cd641db75ee0763ec7d96ccadf2e7820 1455 cdebconf_0.144.dsc
 dc38e2f44436548f9e3f0d83ee1fd863a0866cd4 318003 cdebconf_0.144.tar.gz
 367b2c200bbd68f549b85c56f8bcab31472e392d 2832 cdebconf-priority_0.144_all.udeb
 2d84db937dbf0d59ed357459ff0e34a788226f54 140794 cdebconf_0.144_i386.deb
 ea60906ed37504c103e43e4caaf8cadaa7c66b09 38894 libdebconfclient0_0.144_i386.deb
 7682e4444d1d1bfeadeefb300588d5c714b63a1b 44412 libdebconfclient0-dev_0.144_i386.deb
 5250127b368b0e448bd34332b6eef9f6cc3e4334 76518 cdebconf-udeb_0.144_i386.udeb
 6f1bc416374be60568fc1e9d7c2fb65d81220e32 2962 libdebconfclient0-udeb_0.144_i386.udeb
 f6dd500cbc9361b602f4db17a9b1812bb462d55e 14832 cdebconf-newt-udeb_0.144_i386.udeb
 2d180ae86bfe5bba753875c7e443cff595d87944 19880 cdebconf-text-udeb_0.144_i386.udeb
 e0094527cd5a5f7aaa46964dccd61749e95821ad 29086 cdebconf-gtk-udeb_0.144_i386.udeb
 4a88128f109a91a031632adf0b612778e262c187 63990 cdebconf-gtk_0.144_i386.deb
Checksums-Sha256: 
 a1fea449b8e2a5bda07a355499bcda85d67830e32236857c996e23544a8964f3 1455 cdebconf_0.144.dsc
 204c634f8549d1236d5e89d7f7f92fec6abee9b644b512f795269068a1410a9e 318003 cdebconf_0.144.tar.gz
 bdeb67188a5f2b227ba9b94570c9dfe5cf31238214d22ed3dd8d2fe14b6cbd5c 2832 cdebconf-priority_0.144_all.udeb
 9d80cad2fc5b0c97f7797ff709dca67cbdcad84cce80c65b0b4ac2f8c40ca079 140794 cdebconf_0.144_i386.deb
 c682238e7e517105f68debe9a66d9e971e6dfe25fdfdb0140b3346c76edaca12 38894 libdebconfclient0_0.144_i386.deb
 c2899fbb0d0745ee25e7d60cd4d612454fcf076473843984a25f0d8af693883a 44412 libdebconfclient0-dev_0.144_i386.deb
 544f6a0e10146f53ecad2bc3e1eb14ea5b7ed2b73b666458cc0c2acf536359b4 76518 cdebconf-udeb_0.144_i386.udeb
 d7bf4f8a2c5e3fd2190c21a68bdb704cddead2159ff3c3e1061c99066314e5cd 2962 libdebconfclient0-udeb_0.144_i386.udeb
 0c5b86db1815ac67959307c0a2d543f95955a5df8bc175f426866c9ef6e73e6c 14832 cdebconf-newt-udeb_0.144_i386.udeb
 a137ea6b0da405fa72b8fda25de8af0db7b6c8190fcf93416c557c3e3054ede7 19880 cdebconf-text-udeb_0.144_i386.udeb
 2046cfd389bfc92a28c09413b92e09270b427059af6b9b6cb68c49f3ebbde793 29086 cdebconf-gtk-udeb_0.144_i386.udeb
 e5bc6d899d82308caa9caec4e7557531559d531352082209ac1cc7cdea2bbec7 63990 cdebconf-gtk_0.144_i386.deb
Files: 
 6b303086cf19d42030ea95365b1a2086 1455 utils optional cdebconf_0.144.dsc
 5705e9ed2a199afc45de8d935ce0e42b 318003 utils optional cdebconf_0.144.tar.gz
 d87b9f4f2ad632ac397f54522ef69829 2832 debian-installer standard cdebconf-priority_0.144_all.udeb
 1137f547bf4133796666bd611b259256 140794 utils extra cdebconf_0.144_i386.deb
 52d883ef16dd15bc817ad3490a30c098 38894 libs optional libdebconfclient0_0.144_i386.deb
 78431834f41d7d4c448fb690097b28ee 44412 libdevel optional libdebconfclient0-dev_0.144_i386.deb
 64014ddd15929489c17efdfa7b489f1c 76518 debian-installer standard cdebconf-udeb_0.144_i386.udeb
 71ebb9b106adb2c66bec3f4def2ae453 2962 debian-installer optional libdebconfclient0-udeb_0.144_i386.udeb
 44eb4d2ec331442b6ceed3f31fdfaa3e 14832 debian-installer optional cdebconf-newt-udeb_0.144_i386.udeb
 df6b3454557786ac3fa9c07f6b61f96d 19880 debian-installer optional cdebconf-text-udeb_0.144_i386.udeb
 d87e047c128f635a35057d8cde3ef0d6 29086 debian-installer optional cdebconf-gtk-udeb_0.144_i386.udeb
 a869c9230b81d7838e5041304104f4fa 63990 admin optional cdebconf-gtk_0.144_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFKU3vG9t0zAhD6TNERAvZxAKCJmCz4+fzT92XtVjOpeddL0qAEhwCcCVg6
v6JLHFxOq2mp3eheuDrJB1Y=
=Ca7U
-----END PGP SIGNATURE-----





Added tag(s) squeeze and sid. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sat, 28 Nov 2009 16:48:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:42:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:07:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.